    The XSPEC cyclabs model: absorption line, cyclotron.

xscyclabs
The xscyclabs model is a multiplicative model component.

The model is described at [1] .

>>> create_model_component("xscyclabs", "mdl")
>>> print(mdl)

Create a component of the xscyclabs model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.Depth0 thawed 2 0 100 mdl.E0 thawed 30 1 100 keV mdl.Width0 frozen 10 1 100 keV mdl.Depth2 frozen 0 0 100 mdl.Width2 frozen 20 1 100 keV

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
Depth0
The depth of the fundamental.
E0
The cyclotron energy, in keV.
Width0
The width of the fundamental, in keV.
Depth2
The depth of the second harmonic.
Width2
The width of the second harmonic, in keV.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelCyclabs.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023